Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# deObjectTree Class Reference

`#include <deObjectTree.hpp>`

Collaboration diagram for deObjectTree:

[legend]
List of all members.

## Public Member Functions
| deObjectTree ()
| ~deObjectTree ()
deBoolean | AddObject (IdeSceneObject *object)
void | RemoveObject (IdeSceneObject *object)
deBoolean | RepositionObject (IdeSceneObject *object)
void | IntersectionTest (IdeBoundingVolume *BV, deTList< IdeSceneObject * > &outList)
## Private Types
typedef deTHashInt< ABTPartition * > | ObjectHash_t
## Private Member Functions
ABTPartition * | CreatePartition (ABTPartition *parent, int ChildNum, int AxisNum)
deBoolean | SplitPartition (ABTPartition *part, int Depth)
void | DestroyPartition (ABTPartition *part)
void | PrunePartition (ABTPartition *part, long Depth)
deBoolean | InsertObject (ABTPartition *part, IdeSceneObject *object, int Depth)
deBoolean | ExpandRoot (IdeSceneObject *outlier)
void | IntersectionHelper (ABTPartition *part, IdeBoundingVolume *BV, deTList< IdeSceneObject * > &outList)
## Private Attributes
ABTPartition * | m_Root
ObjectHash_t | m_ObjectHash
int | mObjectThreshold
int | mDepthMax

## Member Typedef Documentation

typedef deTHashInt<ABTPartition*> deObjectTree::ObjectHash_t`[private]`

## Constructor & Destructor Documentation

deObjectTree::deObjectTree | ( |  | ) |

deObjectTree::~deObjectTree | ( |  | ) |

## Member Function Documentation

deBoolean deObjectTree::AddObject | ( | IdeSceneObject * | object | ) |

deObjectTree::ABTPartition * deObjectTree::CreatePartition | ( | ABTPartition * | parent,
|  | int | ChildNum,
|  | int | AxisNum
| ) | `[private]`

void deObjectTree::DestroyPartition | ( | ABTPartition * | part | ) | `[private]`

deBoolean deObjectTree::ExpandRoot | ( | IdeSceneObject * | outlier | ) | `[private]`

deBoolean deObjectTree::InsertObject | ( | ABTPartition * | part,
|  | IdeSceneObject * | object,
|  | int | Depth
| ) | `[private]`

void deObjectTree::IntersectionHelper | ( | ABTPartition * | part,
|  | IdeBoundingVolume * | BV,
|  | deTList< IdeSceneObject * > & | outList
| ) | `[private]`

void deObjectTree::IntersectionTest | ( | IdeBoundingVolume * | BV,
|  | deTList< IdeSceneObject * > & | outList
| ) |

void deObjectTree::PrunePartition | ( | ABTPartition * | part,
|  | long | Depth
| ) | `[private]`

void deObjectTree::RemoveObject | ( | IdeSceneObject * | object | ) |

deBoolean deObjectTree::RepositionObject | ( | IdeSceneObject * | object | ) |

deBoolean deObjectTree::SplitPartition | ( | ABTPartition * | part,
|  | int | Depth
| ) | `[private]`

## Member Data Documentation

ObjectHash_t deObjectTree::m_ObjectHash`[private]`

ABTPartition* deObjectTree::m_Root`[private]`

int deObjectTree::mDepthMax`[private]`

int deObjectTree::mObjectThreshold`[private]`

The documentation for this class was generated from the following files:

- deObjectTree.hpp
- deObjectTree.cpp